package com.dev.swms.server.model.abstractEntity;

import java.util.Date;

import com.dev.energy.server.model.Entity;

public class PlanAssembly extends Entity{
	
	
	private String monthDate;//月份
	private String description;//备注
	private String strExtend1;//机种
	private String strExtend2;//状态
	private String strExtend3;
	private String planNo;
	private String createPeople;
	private Date createDate;
	private Boolean beUsable;
	private String usableBy;
	private Date usableDate;
	
	
	public Boolean getBeUsable() {
		return beUsable;
	}
	public void setBeUsable(Boolean beUsable) {
		this.beUsable = beUsable;
	}
	public String getUsableBy() {
		return usableBy;
	}
	public void setUsableBy(String usableBy) {
		this.usableBy = usableBy;
	}
	public Date getUsableDate() {
		return usableDate;
	}
	public void setUsableDate(Date usableDate) {
		this.usableDate = usableDate;
	}
	public String getPlanNo() {
		return planNo;
	}
	public void setPlanNo(String planNo) {
		this.planNo = planNo;
	}
	public String getCreatePeople() {
		return createPeople;
	}
	public void setCreatePeople(String createPeople) {
		this.createPeople = createPeople;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public String getMonthDate() {
		return monthDate;
	}
	public void setMonthDate(String monthDate) {
		this.monthDate = monthDate;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getStrExtend1() {
		return strExtend1;
	}
	public void setStrExtend1(String strExtend1) {
		this.strExtend1 = strExtend1;
	}
	public String getStrExtend2() {
		return strExtend2;
	}
	public void setStrExtend2(String strExtend2) {
		this.strExtend2 = strExtend2;
	}
	public String getStrExtend3() {
		return strExtend3;
	}
	public void setStrExtend3(String strExtend3) {
		this.strExtend3 = strExtend3;
	}
	
}
